Subject: Re: TIG-Miller question

From: [email-masked] (MrDucati)
Date: 11 Feb 1995 18:11:28 -0500

I'd reccomend looking for a used TIG welder. A Miller Gold Star is a
dinosaur in todays market, but is still a good solid machine. I do recall
welding .020 stainless with one many years ago, so it can handle small
work. 

jon anderson